Skip to Content
Integration alarms

List Integration Alarms

Toegang

Lid van de organisatie met dit recht:

  • meters:read

Een API-sleutel met scopes heeft het recht ook in zijn scopes nodig.

GET
/orgs/{organizationId}/integration-alarms

Lists alarms raised by integrated systems, on a meter or on an ICY controller, with pagination, filtering, and sorting. Filter by meter, controller, resolution state, dates, and message. Optional search matches message, external ID, or meter name. Include meter or icyController for the device the alarm is on; exactly one of meterId and icyControllerId is set.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Query Parameters

page?integer
Range-9007199254740991 <= value <= 9007199254740991
limit?integer
Range-9007199254740991 <= value <= 9007199254740991
sortBy?string
Value in"id""externalId""message""startedAt""resolvedAt""metadata""meterId""icyControllerId""createdAt""updatedAt"
sortDir?string
Value in"asc""desc"
include?|array<>|string
externalId?string|array<string>|null
meterId?string|array<string>|null
icyControllerId?string|array<string>|null
startedAt?|null
resolvedAt?|null
createdAt?|null
updatedAt?|null
message?string|array<string>|
metadata?
hasMeter?boolean|string|number|null
hasNoMeter?boolean|string|number|null
hasIcyController?boolean|string|number|null
hasNoIcyController?boolean|string|number|null
search?string

Response Body

OK

application/json
  1. response
Example Request
curl -X GET 'https://api.tillor.eu/orgs//integration-alarms'
Example Response
null